# Class LdapDnsProviderResult

java.lang.Object
javax.naming.ldap.spi.LdapDnsProviderResult

public final class LdapDnsProviderResult extends Object
The result of a DNS lookup for an LDAP URL.

This class is used by an `LdapDnsProvider` to return the result of a DNS lookup for a given LDAP URL. The result consists of a domain name and its associated LDAP server endpoints.

A `null` `domainName` is equivalent to and represented by an empty string.

Since:
  12

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LdapDnsProviderResult(String domainName, List<String> endpoints)`
  Construct an LdapDnsProviderResult consisting of a resolved domain name and the LDAP server endpoints that serve the domain.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDomainName()`
  Returns the domain name resolved from the LDAP URL.
  `List<String>`
  `getEndpoints()`
  Returns the possibly empty list of individual server endpoints resolved from the LDAP URL.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### LdapDnsProviderResult

    public LdapDnsProviderResult(String domainName, List<String> endpoints)
    Construct an LdapDnsProviderResult consisting of a resolved domain name and the LDAP server endpoints that serve the domain.
    Parameters:
      `domainName` - the resolved domain name; can be null.
      `endpoints` - the possibly empty list of resolved LDAP server endpoints
    Throws:
      `NullPointerException` - if `endpoints` contains `null` elements.
      `ClassCastException` - if `endpoints` contains non- `String` elements.

- ## Method Details

  - ### getDomainName

    public String getDomainName()
    Returns the domain name resolved from the LDAP URL. This method returns the empty string if the `LdapDnsProviderResult` is created with a null domain name.
    Returns:
      the resolved domain name

  - ### getEndpoints

    public List<String> getEndpoints()
    Returns the possibly empty list of individual server endpoints resolved from the LDAP URL.
    Returns:
      a possibly empty unmodifiable `List` containing the resolved LDAP server endpoints